//////////////////////////////////////////////////////////////////////////// 
// Image_Processing_toolbox_2
//
// Copyright (c) by S. Parua Biswas, CDAC, Kolkata.  2013
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
////////////////////////////////////////////////////////////////////////////

function y = reshape_array(x,a,b)
    // To RESHAPE the input array.
    
    [lhs,rhs]=argn(0);
    if (rhs<3) then
        error('Less number of input aurguments');
    end
    [m n]=size(x);
    if (m*n ~= a*b) then
        error('To RESHAPE the number of elements must not change');
    end
    if (type(a)~=1 | type(b)~=1) then
        error('Size aurguments must be integer scalar');
    end
    k=1;
    for i=1:m
        for j=1:n
            temp(k)=x(i,j);
            k=k+1;
        end
    end
    k=1;
    for i=1:a
        for j=1:b
            y(i,j)=temp(k);
            k=k+1;
        end
    end
endfunction